=== kcms/keyboard/kconf_update/CMakeLists.txt ===
install(FILES kxkb_variants.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_variants.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(FILES kxkb.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_emptylists.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kxkb_resetoptions.awk
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
