## plasma-desktop 5.27.7.1

=== debian/changelog ===
plasma-desktop (4:5.27.7.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7.1).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Aug 2023 16:50:38 +0200

plasma-desktop (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:56:27 +0200
