=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                kirigami2-dev (>= 5.102.0~),
                kscreenlocker-dev,
                kuserfeedback-dev,
-               kwin-dev (>= 4:5.27.5~),
+               kwin-dev (>= 4:5.27.7~),
                libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
@@ -78,7 +78,7 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.7~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15.2~),
@@ -96,18 +96,18 @@
 Package: plasma-desktop
 Architecture: any
 Depends: accountsservice,
-         breeze (>= 4:5.27.5~),
-         kactivitymanagerd (>= 5.27.5~),
-         kde-cli-tools (>= 4:5.27.5~),
+         breeze (>= 4:5.27.7~),
+         kactivitymanagerd (>= 5.27.7~),
+         kde-cli-tools (>= 4:5.27.7~),
          kded5,
          kio,
-         layer-shell-qt (>= 5.27.5~),
-         oxygen-sounds (>= 4:5.27.5~),
+         layer-shell-qt (>= 5.27.7~),
+         oxygen-sounds (>= 4:5.27.7~),
          plasma-desktop-data (= ${source:Version}),
          plasma-framework,
-         plasma-integration (>= 5.27.5~),
-         plasma-workspace (>= 4:5.27.5~),
-         polkit-kde-agent-1 (>= 4:5.27.5~),
+         plasma-integration (>= 5.27.7~),
+         plasma-workspace (>= 4:5.27.7~),
+         polkit-kde-agent-1 (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kquickcontrols,
@@ -119,42 +119,42 @@
          qml-module-qt-labs-settings,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: bluedevil (>= 4:5.27.5~),
-            breeze-gtk-theme (>= 5.27.5~),
+Recommends: bluedevil (>= 4:5.27.7~),
+            breeze-gtk-theme (>= 5.27.7~),
             fonts-hack,
             fonts-noto,
             ibus-data,
-            kde-config-gtk-style (>= 4:5.27.5~),
-            kde-config-screenlocker (>= 5.27.5~),
-            kde-config-sddm (>= 4:5.27.5~),
-            kde-style-oxygen-qt5 (>= 4:5.27.5~),
-            kgamma5 (>= 5.27.5~),
+            kde-config-gtk-style (>= 4:5.27.7~),
+            kde-config-screenlocker (>= 5.27.7~),
+            kde-config-sddm (>= 4:5.27.7~),
+            kde-style-oxygen-qt5 (>= 4:5.27.7~),
+            kgamma5 (>= 5.27.7~),
             khelpcenter,
-            khotkeys (>= 4:5.27.5~),
-            kinfocenter (>= 4:5.27.5~),
+            khotkeys (>= 4:5.27.7~),
+            kinfocenter (>= 4:5.27.7~),
             kio-extras,
-            kmenuedit (>= 4:5.27.5~),
-            kscreen (>= 4:5.27.5~),
-            ksshaskpass (>= 4:5.27.5~),
-            kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
-            kwrited (>= 4:5.27.5~),
-            libpam-kwallet5 (>= 5.27.5~),
-            plasma-browser-integration (>= 5.27.5~),
-            plasma-discover (>= 5.27.5~),
-            plasma-disks (>= 5.27.5~),
-            plasma-firewall (>= 4:5.27.5~),
-            plasma-nm (>= 4:5.27.5~),
-            plasma-pa (>= 4:5.27.5~),
-            plasma-systemmonitor (>= 5.27.5~),
-            plasma-thunderbolt (>= 5.27.5~),
-            plasma-vault (>= 5.27.5~),
-            plasma-welcome (>= 4:5.27.5~),
-            plasma-workspace-wayland (>= 4:5.27.5~),
-            powerdevil (>= 4:5.27.5~),
-            systemsettings (>= 4:5.27.5~),
+            kmenuedit (>= 4:5.27.7~),
+            kscreen (>= 4:5.27.7~),
+            ksshaskpass (>= 4:5.27.7~),
+            kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
+            kwrited (>= 4:5.27.7~),
+            libpam-kwallet5 (>= 5.27.7~),
+            plasma-browser-integration (>= 5.27.7~),
+            plasma-discover (>= 5.27.7~),
+            plasma-disks (>= 5.27.7~),
+            plasma-firewall (>= 4:5.27.7~),
+            plasma-nm (>= 4:5.27.7~),
+            plasma-pa (>= 4:5.27.7~),
+            plasma-systemmonitor (>= 5.27.7~),
+            plasma-thunderbolt (>= 5.27.7~),
+            plasma-vault (>= 5.27.7~),
+            plasma-welcome (>= 4:5.27.7~),
+            plasma-workspace-wayland (>= 4:5.27.7~),
+            powerdevil (>= 4:5.27.7~),
+            systemsettings (>= 4:5.27.7~),
             xdg-desktop-portal-gtk,
-            xdg-desktop-portal-kde (>= 5.27.5~),
-Suggests: kde-config-flatpak (>= 4:5.27.5~),
+            xdg-desktop-portal-kde (>= 5.27.7~),
+Suggests: kde-config-flatpak (>= 4:5.27.7~),
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -184,8 +184,8 @@
 Package: plasma-desktop-data
 Architecture: all
 Depends: python3:any, ${misc:Depends},
-Recommends: plasma-framework (>= 4:5.27.5~),
-            plasma-workspace (>= 4:5.27.5~),
+Recommends: plasma-framework (>= 4:5.27.7~),
+            plasma-workspace (>= 4:5.27.7~),
             qml-module-org-kde-activities,
             qml-module-org-kde-kwindowsystem,
             qml-module-org-kde-newstuff,
