## plasma-desktop 5.27.8

=== debian/changelog ===
plasma-desktop (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:21 +0100

plasma-desktop (4:5.27.7.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps versioned to 5.27
    - Frameworks build deps versioned to 5.102.0
    - Kubuntu kickoff favourites.patch 
    - Runtime depend on qml-module-org-kde-kirigami2, xdg-user-dirs,
      and qml-module-org-kde-pipewire.
    - Do not recoemnd plasma-workspace-wayland or plasma-welcome. 
    - wrap-and-sort -bt

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Sep 2023 11:04:06 +0100

plasma-desktop (4:5.27.7.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Aug 2023 17:58:28 +0100

plasma-desktop (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:36 +0100

plasma-desktop (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:09 +0100

plasma-desktop (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:09 +0100
