=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-desktop
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -12,12 +13,12 @@
                extra-cmake-modules (>= 5.102.0~),
                gettext,
                intltool,
-               kded5-dev (>= 5.89~),
-               kinit-dev (>= 5.89~),
+               kded5-dev (>= 5.102.0~),
+               kinit-dev (>= 5.102.0~),
                kirigami2-dev (>= 5.102.0~),
-               kscreenlocker-dev,
+               kscreenlocker-dev (>= 5.27.8~),
                kuserfeedback-dev,
-               kwin-dev (>= 4:5.27.7~),
+               kwin-dev (>= 4:5.27.8~),
                libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
@@ -39,7 +40,7 @@
                libkf5globalaccel-dev (>= 5.102.0~),
                libkf5guiaddons-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
-               libkf5itemmodels-dev,
+               libkf5itemmodels-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kdelibs4support-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
@@ -50,9 +51,9 @@
                libkf5plasma-dev (>= 5.102.0~),
                libkf5runner-dev (>= 5.102.0~),
                libkf5sonnet-dev (>= 5.102.0~),
-               libkf5sysguard-dev,
+               libkf5sysguard-dev (>= 4:5.27.8~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
-               libkf5windowsystem-dev,
+               libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
@@ -78,9 +79,9 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.27.7~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev (>= 5.15.2~),
-               qtbase5-private-dev,
+               qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
                xserver-xorg-dev,
@@ -89,8 +90,8 @@
                xserver-xorg-input-synaptics-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 Rules-Requires-Root: no
 
 Package: plasma-desktop
@@ -110,19 +111,25 @@
          polkit-kde-agent-1 (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kwindowsystem,
+         qml-module-org-kde-pipewire,
          qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
          qml-module-org-kde-solid,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
+         xdg-user-dirs,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: bluedevil (>= 4:5.27.7~),
             breeze-gtk-theme (>= 5.27.7~),
             fonts-hack,
-            fonts-noto,
+            fonts-noto-cjk,
+            fonts-noto-hinted,
+            fonts-noto-mono,
+            fonts-noto-unhinted,
             ibus-data,
             kde-config-gtk-style (>= 4:5.27.7~),
             kde-config-screenlocker (>= 5.27.7~),
@@ -142,19 +149,17 @@
             plasma-browser-integration (>= 5.27.7~),
             plasma-discover (>= 5.27.7~),
             plasma-disks (>= 5.27.7~),
-            plasma-firewall (>= 4:5.27.7~),
+            plasma-firewall (>= 5.27.7~),
             plasma-nm (>= 4:5.27.7~),
             plasma-pa (>= 4:5.27.7~),
             plasma-systemmonitor (>= 5.27.7~),
             plasma-thunderbolt (>= 5.27.7~),
             plasma-vault (>= 5.27.7~),
-            plasma-welcome (>= 4:5.27.7~),
-            plasma-workspace-wayland (>= 4:5.27.7~),
             powerdevil (>= 4:5.27.7~),
             systemsettings (>= 4:5.27.7~),
             xdg-desktop-portal-gtk,
             xdg-desktop-portal-kde (>= 5.27.7~),
-Suggests: kde-config-flatpak (>= 4:5.27.7~),
+Suggests: kde-config-flatpak (>= 4:5.27.7~)
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -183,7 +188,7 @@
 
 Package: plasma-desktop-data
 Architecture: all
-Depends: python3:any, ${misc:Depends},
+Depends: python3:any, ${misc:Depends}
 Recommends: plasma-framework (>= 4:5.27.7~),
             plasma-workspace (>= 4:5.27.7~),
             qml-module-org-kde-activities,
@@ -225,9 +230,11 @@
 Package: plasma-desktop-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${so:Depends},
-Breaks: kde-config-touchpad (<< 4:5),
-Replaces: kde-config-touchpad (<< 4:5),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${so:Depends},
+Breaks: kde-config-touchpad (<< 4:5)
+Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
